Book_1_Chapter_12_The_Black_Rider_s_Designs = class(Window);

function Book_1_Chapter_12_The_Black_Rider_s_Designs: GetName()
	return "Book 1, Chapter 12: The Black Rider's Designs";
end

function Book_1_Chapter_12_The_Black_Rider_s_Designs: IsRunning()
	return (self.window ~= nil);
end

function Book_1_Chapter_12_The_Black_Rider_s_Designs: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Capítulo 12: Os Desenhos do Cavaleiro Negro"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n-Tom Bombadil-32,6S, 57,3W-Tom Bombadil's House-Old Forest");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n- Vieram velhos monstros de túmulos de Angmar. Eles perturbam a paz e perturbam as pessoas que vagam por seus montes. Deixe os Mortos dormirem e deixe seus problemas na terra. A menos, é claro, que você os acorde, dançando em seus telhados!\n\n- Ei, venha, meu amigo. Não fique mais aqui. Para Bree você deveria estar indo. Você tem um amigo lá que espera por você!");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nVocê foi resgatado das garras do Wight-lord por Tom Bombadil, mas você aprendeu muito que pode ajudar Strider e seu povo.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1-Fale com o Strider\nStrider aguarda seu retorno em seu quarto no Pônei Saltitante em Bree. A entrada que vai de Barrow-downs até a Great East Road fica ao norte.\n\nVolte para Bree e conte a Strider o que você descobriu sobre os planos do Rei Bruxo.\n\nTom Bombadil : 'Velhos monstros de túmulos de Angmar vieram. Eles perturbam a paz e perturbam as pessoas que vagam por seus montes. Deixe os Mortos dormirem e deixe seus problemas na terra. A menos, é claro, que você os acorde, dançando em seus telhados!\n- Ei, venha, meu amigo. Não fique mais aqui. Para Bree você deveria estar indo. Você tem um amigo lá que espera por você!\n\nA porta do quarto de Strider está trancada\n\n2-Fale com Barliman Butterbur\nBarliman Butterbur serve seus convidados na sala comum do Pônei Saltitante.\n\nVocê viajou de volta ao Pônei Saltitante, mas encontrou a porta do quarto de Strider trancada. Você deve falar com Barliman Butterbur para saber se ele pode lhe dizer para onde Strider foi.\n\nBarliman Butterbur : 'Oh, olá, de novo! Eu estava tão ocupado que não te vi, mas nunca há um momento de paz aqui, se assim posso dizer. Eu estava tão preocupado que ele azedasse minha cerveja por deixar o Sr., uh, monteiro e seus amigos irem embora com aquele Dunedain!\n'Ele quem? Oh! Por que seria o Sr. Gandalf, é claro! Dizem que ele é um mago ou algo assim, e eu direi que deve haver algo nessas histórias, pois minha cerveja nunca foi melhor! Ele ficou tão contente....\n- Desculpe, mas eu corro às vezes. Gandalf disse para mandar qualquer um que procurasse Strider para o quarto dele! Fica na escada logo depois do quarto de Strider.\n\n3-Fale com Gandalf\nO quarto de Gandalf em The Prancing Pony Inn em Bree é encontrado virando à esquerda para fora da sala comun, até que você só consiga virar à direita. O quarto fica no topo das escadas no final do corredor.\n\nBarliman Butterbur disse a você que Strider deixou O Pônei Saltitante, mas que Gandalf, um mago de reputação, chegou e pediu para falar com qualquer um que estivesse procurando pelo dunedain. Você deve falar com Gandalf e contar a ele o que aprendeu.\n\nBarliman Butterbur : 'Sr. Gandalf pediu para falar com qualquer um que estivesse procurando por Strider. Você pode encontrá-lo no quarto dele.\nGandalf : 'Você está perdido ou me procura com intenção. Pelo olhar em seus olhos, percebo o último, embora também sinta que você procurou outro... Strider, talvez? Então nós dois chegamos tarde demais. Nosso amigo em comum partiu, carregando consigo um fardo terrível.\n- Sou Gandalf, o Cinzento, amigo de Strider. Se ele lhe deu uma tarefa, não poderia ser muito menos urgente que a dele. Conte-me sua história, e eu a entregarei a ele...'\n'Então Angmar surge? É uma notícia sombria, mas não estou surpreso. No entanto, não posso me desviar de minha própria tarefa, pois o destino de toda a Terra-média depende dela.\n'Este fardo coloco sobre você em nome dos Povos Livres da Terra-média: Impeça o plano do Rei Bruxo, se puder. Seja leste ou norte, desejo-lhe boa sorte. Até a próxima!'");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nVá para Bree e vá para o quarto de Strider, mas oh não, a porta está trancada!\nFale com Barliman Butterbur\nFale com Gandalf\n\nBarliman Butterbur é o Tavern Keep e proprietário do Pônei Saltitante em Bree . Ele é um homem ocupado, mas esquecido, e tem dois assistentes hobbits, Bob e Nob . Além das renomadas cervejas que ele serve, ele também ajuda os visitantes em missões que muitas vezes envolvem encaminhá-los para o misterioso ranger Strider .\n\n-'Barliman Butterbur é o proprietário da pousada mais importante da cidade de Bree. O Pony possui a melhor cerveja da região, e muitos Brandybucks do Condado fazem excursões lá apenas pela cerveja. Não é tarefa simples manter uma pousada com tal reputação, especialmente em tempos difíceis, mas Butterbur está à altura da tarefa - com a ajuda de seus assistentes hobbit, Nob e Bob.\n'Distraído e distraído, Butterbur está sempre com pressa, muitas vezes esquecendo o que está fazendo. Para alguns, isso o faz parecer um idiota, mas nada poderia estar mais longe da verdade. Ele tem uma mente astuta e uma inteligência afiada, embora às vezes demora um pouco mais para ele pegar do que para os outros.' \n\n-Gandalf é um personagem particularmente eminente nas obras de Tolkien, apresentado como um mago renomado há muito tempo em O Hobbit e tendo um papel central na Guerra do Anel. Ele é bem conhecido entre todas as raças, pois, por sua vez, os valoriza muito por seus respectivos méritos. Assim, Gandalf carrega muitos nomes: 'Mithrandir' para Elfos, 'Incánus' para Homens do Sul e 'Tharkûn' para Anões.\n\nGandalf é um Maia de Manwë e seu verdadeiro nome é 'Olórin'. Enviado junto com outros quatro (Curumo, Aiwendil, Alatar e Pallando) para a Terra-média para lutar contra Sauron, ele foi escolhido pelo próprio Manwë por sua humildade e compaixão. Gandalf é conhecido por seu domínio do fogo e carrega Narya, o anel élfico do fogo. Dos Cinco Istari (magos) Gandalf sozinho foi leal à sua tarefa, e foi fundamental na derrota de Sauron.\n\nJ. R. R. Tolkien apresenta Gandalf já em O Hobbit quando ele visita Bilbo Bolseiro em Bolsão e logo fica claro que Gandalf havia pisado no Condado há muito tempo e surpreendeu os hobbits amigáveis ​​com seus fogos de artifício mágicos. Desde antes disso e em diante, Gandalf continua a ser o mago que desaparece das multidões e irmandades, apenas para aparecer em grande apuros para resgatar seus amigos mais uma vez.\n\nEm Lotro, os anões encontram Gandalf já na sequência de introdução e outras raças o encontram em Bree, uma feiticeira estranha com comentários peculiares. Ele ouve a todos e, assim, reúne informações muito além do que seus inimigos podem imaginar, levando à sua destruição futura. Embora Saruman seja o líder dos cinco, ele inveja as virtudes de Gandalf em entender o povo da Terra-média e sua capacidade de obter seus ouvidos e confiança; no entanto, Saruman exagera a capacidade de previsão de Gandalf, minando assim a si mesmo. Os jogadores podem encontrar Gandalf em muitas regiões: Bree, Ered Luin, The Shire, Trollshaws, Lothlorien, Rohan, Gondor, Mordor e Erebor.");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText(" Redigido pelo Dastan e patrocinado pelo Hallarthil");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Book_1_Chapter_12_The_Black_Rider_s_Designs:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Book_1_Chapter_12_The_Black_Rider_s_Designs()); 